package com.agiledeveloper.fixture;

import fit.Fixture;
import com.agiledeveloper.VendingMachine;

public class CollectCoinsActor extends Fixture
{
    private VendingMachine _machine = new VendingMachine();
    private String _product;

    public int balance()
    {
        return _machine.getBalance();
    }

    public void deposit(int amount)
    {
        _machine.deposit(amount);
    }

    public void product(String productName)
    {
        _product = productName;
    }

    public void getSoda()
    {
        _machine.purchaseSoda(_product);
    }
}
